function init()
	LR = FindLight("LR")
	LG = FindLight("LG")
	LW = FindLight("LW")

	Plane = FindShape("plane")

	windows = FindShapes("window")
	shield = FindShape("shield")

	Snd = LoadLoop("MOD/main/plane/plane.ogg")
	boom = LoadSound("MOD/main/plane/boom.ogg")

	time = 0

	--broken = false

	played = false
end

function tick(dt)
	
	time = time + dt

	PlaneT = GetShapeWorldTransform(Plane)
	
	--if broken == false then
		--PlayLoop(Snd, PlaneT.pos, 0.25)
	--end

	if IsShapeBroken(Plane) == true then
		--broken = true
		if played == false then
			PlaySound(boom)
			played = true
		end
		SetShapeEmissiveScale(shield, 0)
		for i=1, #windows do
			Delete(windows[i])
		end
	end

	if time < 0.1 then
		SetLightEnabled(LR, true)
		SetLightEnabled(LG, true)
		SetLightEnabled(LW, true)
	end
	if time > 0.1 and time < 1 then
		SetLightEnabled(LR, false)
		SetLightEnabled(LG, false)
		SetLightEnabled(LW, false)
	end
	if time > 1 then
		time = 0
	end

	--DebugWatch("time", time)
	--DebugWatch("on", IsLightActive(LR))
	--DebugWatch("plane_pos", GetShapeWorldTransform("plane").pos)
end